### Name: fitBMAgamma0
### Title: BMA for a mixture of gammas with a point mass at 0.
### Aliases: fitBMAgamma0
### Keywords: models

### ** Examples

  data(prcp)

  prcpData <- ensembleData( dates = prcp$date, observations = prcp$obs,
                          forecasts = prcp[,c("CENT","AVN","CMCG","ETA",
                                      "GASP","JMA","NGPS","TCWB","UKMO")])

  DATE <- sort(unique(prcpData$dates))[27]
  trainDat <- trainingData(prcpData, date = DATE,
                           trainingRule = list(length=25,lag=2))
  prcpFit25a <- fitBMAgamma0(trainDat)

  D <- as.numeric(prcpData$dates) <= 25
  prcpFit25b <- fitBMAgamma0(prcpData[D, ])

  prcpFit25c <- fitBMAgamma0(prcpData[D, ], 
                     popData = ensembleForecasts(prcpData[D,]) == 0)



