### Name: gridForecastBMA
### Title: BMA forecasts for a grid of ensemble predictions.
### Aliases: gridForecastBMA gridForecastBMA.ensembleBMAgamma0
###   gridForecastBMA.ensembleBMAnormal gridForecastBMA.fitBMAgamma0
###   gridForecastBMA.fitBMAnormal
### Keywords: models

### ** Examples

  data(srft)
  data(srftGrid)

  srftData <- ensembleData(dates = srft$date, observations = srft$observation,
  forecasts = srft[c("CMCG","ETA","GASP","GFS","JMA","NGPS","TCWB","UKMO")])

  srftFeb14fit1 <- ensembleBMAnormal( srftData, date = "2004021400",
                                     trainingRule = list(length=25, lag=2))

  gridForecastBMA(srftFeb14fit1, srftGrid[,1:ensembleSize(srftData)], 
                  date = "2004021400")

  trainingFeb14data <- trainingData( srftData, date = "2004021400",
                                 trainingRule = list(length=25, lag=2))

  srftFeb14fit2 <- fitBMAnormal( trainingFeb14data)

  gridForecastBMA(srftFeb14fit2, srftGrid[,1:ensembleSize(srftData)], 
                  date = "2004021400")



